# class Mail::Matchers::AttachmentFilenameMatcher

### Attributes

filename[R]

### Public Class Methods

new(filename) click to toggle source

    # File lib/mail/matchers/attachment_matchers.rb, line 19
    def initialize(filename)
      @filename = filename
    end

### Public Instance Methods

===(other) click to toggle source

    # File lib/mail/matchers/attachment_matchers.rb, line 23
    def ===(other)
      other.attachment? && other.filename == filename
    end